Subject: Re: [PATCH] consolidate skb delivery

From: "David S. Miller" <[email-masked]>
Date: Fri, 3 Oct 2003 00:11:28 -0700

On Thu, 2 Oct 2003 12:43:45 -0700
Stephen Hemminger <[email-masked]> wrote:

> On Thu, 2 Oct 2003 21:25:46 +0200
> Andi Kleen <[email-masked]> wrote:
> 
> > Are there even any old style protocols left? If not you could just make
> > it BUG() 
> > 
> 
> bpqether,lapbether,ipconfig, and econet are still old style.

I would suggest we eliminate support for old style protocols
now.  We can do that by making the ptype registry in net/core/dev.c
fail if the thing being registered is old-style.

I'll code this up.

If we don't kill support for old-style protocols now, we can end up
being stuck supporting it throughout 2.6.x which I'd like to avoid.

I'll apply Stephen's patch here.